Atuba Chief Varkees:
Tejakar Oroka! The Orcs have thousands of tribes! However, only seven tribes carry on the noble blood! I am going to sing their names, so listen well!
The brave Hestui!
The cold-hearted Atuba!
The persistent Neruga!
The strong-willed Urutu, the resourceful Duda-Mara!
And the merciless Gandi!
One more thing! There are tribes of traitors that betrayed their own kind! Their names are forgotten!
Return